# Class CBZip2InputStreamFactory

java.lang.Object
org.apache.tools.bzip2.CBZip2InputStreamFactory

public class CBZip2InputStreamFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`CBZip2InputStreamFactory()`

## Method Summary

Modifier and Type
Method
Description
`CBZip2InputStream`
`getStream(InputStream is)`
jsjava addition for reflection

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CBZip2InputStreamFactory

public CBZip2InputStreamFactory()

## Method Details

### getStream

public CBZip2InputStream getStream(InputStream is) throws IOException
jsjava addition for reflection

Parameters:
  `is` -
Returns:
  BZip2 input stream
Throws:
  `IOException`